Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_RB_Tree_Node Class Template Reference

Implements a node in a Red-Black Tree ADT. More...

`#include <RB_Tree.h>`

Inheritance diagram for ACE_RB_Tree_Node

[legend]
Collaboration diagram for ACE_RB_Tree_Node:

[legend]
List of all members.

## Public Methods
| ACE_RB_Tree_Node (const EXT_ID &k, const INT_ID &t)
| Constructor.
| ~ACE_RB_Tree_Node (void)
| Destructor.
EXT_ID& | key (void)
| Key accessor.
INT_ID& | item (void)
| Item accessor.
void | color (RB_Tree_Node_Color c)
| Set color of the node.
RB_Tree_Node_Color | color (void)
| Get color of the node.
ACE_RB_Tree_Node<EXT_ID, INT_ID>* | parent (void)
| Accessor for node's parent pointer.
void | parent (ACE_RB_Tree_Node<EXT_ID, INT_ID> * p)
| Mutator for node's parent pointer.
ACE_RB_Tree_Node<EXT_ID, INT_ID>* | left (void)
| Accessor for node's left child pointer.
void | left (ACE_RB_Tree_Node<EXT_ID, INT_ID> *l)
| Mutator for node's left child pointer.
ACE_RB_Tree_Node<EXT_ID, INT_ID>* | right (void)
| Accessor for node's right child pointer.
void | right (ACE_RB_Tree_Node<EXT_ID, INT_ID> * r)
| Mutator for node's right child pointer.
## Private Attributes
EXT_ID | k_
| The key.
INT_ID | t_
| The item.
RB_Tree_Node_Color | color_
| Color of the node.
ACE_RB_Tree_Node<EXT_ID, INT_ID>* | parent_
| Pointer to node's parent.
ACE_RB_Tree_Node<EXT_ID, INT_ID>* | left_
| Pointer to node's left child.
ACE_RB_Tree_Node<EXT_ID, INT_ID>* | right_
| Pointer to node's right child.

## Detailed Description

### template<class EXT_ID, class INT_ID> template class ACE_RB_Tree_Node

Implements a node in a Red-Black Tree ADT.

## Constructor & Destructor Documentation

template<classEXT_ID, classINT_ID>
ACE_RB_Tree_Node<EXT_ID, INT_ID>::ACE_RB_Tree_Node<EXT_ID, INT_ID> ( | const EXT_ID & k,
| const INT_ID & t )`[inline]`

| Constructor.

template<classEXT_ID, classINT_ID>
ACE_RB_Tree_Node<EXT_ID, INT_ID>::~ACE_RB_Tree_Node<EXT_ID, INT_ID> ( | void )

| Destructor.

## Member Function Documentation

template<classEXT_ID, classINT_ID>
ACE_INLINE ACE_RB_Tree_Node_Base::RB_Tree_Node_Color ACE_RB_Tree_Node< EXT_ID,INT_ID >::color ( | void )

| Get color of the node.

template<classEXT_ID, classINT_ID>
ACE_INLINE void ACE_RB_Tree_Node< EXT_ID,INT_ID >::color ( | ACE_RB_Tree_Node_Base::RB_Tree_Node_Color c )

| Set color of the node.

template<classEXT_ID, classINT_ID>
ACE_INLINE INT_ID & ACE_RB_Tree_Node< EXT_ID,INT_ID >::item ( | void )

| Item accessor.

template<classEXT_ID, classINT_ID>
ACE_INLINE EXT_ID & ACE_RB_Tree_Node< EXT_ID,INT_ID >::key ( | void )

| Key accessor.

template<classEXT_ID, classINT_ID>
ACE_INLINE void ACE_RB_Tree_Node< EXT_ID,INT_ID >::left ( | ACE_RB_Tree_Node< EXT_ID,INT_ID >* l )

| Mutator for node's left child pointer.

template<classEXT_ID, classINT_ID>
ACE_INLINE ACE_RB_Tree_Node< EXT_ID,INT_ID >* ACE_RB_Tree_Node< EXT_ID,INT_ID >::left ( | void )

| Accessor for node's left child pointer.

template<classEXT_ID, classINT_ID>
ACE_INLINE void ACE_RB_Tree_Node< EXT_ID,INT_ID >::parent ( | ACE_RB_Tree_Node< EXT_ID,INT_ID >* p )

| Mutator for node's parent pointer.

template<classEXT_ID, classINT_ID>
ACE_INLINE ACE_RB_Tree_Node< EXT_ID,INT_ID >* ACE_RB_Tree_Node< EXT_ID,INT_ID >::parent ( | void )

| Accessor for node's parent pointer.

template<classEXT_ID, classINT_ID>
ACE_INLINE void ACE_RB_Tree_Node< EXT_ID,INT_ID >::right ( | ACE_RB_Tree_Node< EXT_ID,INT_ID >* r )

| Mutator for node's right child pointer.

template<classEXT_ID, classINT_ID>
ACE_INLINE ACE_RB_Tree_Node< EXT_ID,INT_ID >* ACE_RB_Tree_Node< EXT_ID,INT_ID >::right ( | void )

| Accessor for node's right child pointer.

## Member Data Documentation

template<classEXT_ID, classINT_ID>
RB_Tree_Node_Color ACE_RB_Tree_Node<EXT_ID, INT_ID>::color_`[private]`

| Color of the node.

template<classEXT_ID, classINT_ID>
EXT_ID ACE_RB_Tree_Node<EXT_ID, INT_ID>::k_`[private]`

| The key.

template<classEXT_ID, classINT_ID>
ACE_RB_Tree_Node< EXT_ID,INT_ID >* ACE_RB_Tree_Node<EXT_ID, INT_ID>::left_`[private]`

| Pointer to node's left child.

template<classEXT_ID, classINT_ID>
ACE_RB_Tree_Node< EXT_ID,INT_ID >* ACE_RB_Tree_Node<EXT_ID, INT_ID>::parent_`[private]`

| Pointer to node's parent.

template<classEXT_ID, classINT_ID>
ACE_RB_Tree_Node< EXT_ID,INT_ID >* ACE_RB_Tree_Node<EXT_ID, INT_ID>::right_`[private]`

| Pointer to node's right child.

template<classEXT_ID, classINT_ID>
INT_ID ACE_RB_Tree_Node<EXT_ID, INT_ID>::t_`[private]`

| The item.

The documentation for this class was generated from the following files:

- RB_Tree.h
- RB_Tree.cpp
- RB_Tree.i